package com.heyu.api.data.entity.vv;

import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
*资源库
* @author quyixiao
* @since 2025-08-27
*/

@Data
@TableName("vv_resource")
public class VvResourceEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvResourceEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                               // 
    public final static String is_delete = CLASS_NAME + "is_delete";                  // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";              // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";              // 修改时间
    public final static String resource_url = CLASS_NAME + "resource_url";            // 资源链接
    public final static String type_ = CLASS_NAME + "type";                           // 图片或视频， image  , video
    public final static String create_timestamp = CLASS_NAME + "create_timestamp";    // 创建时间
    public final static String file_name = CLASS_NAME + "file_name";                  // 资源名称
    public final static String parent_id = CLASS_NAME + "parent_id";                  // 父亲id
    public final static String modify_timestamp = CLASS_NAME + "modify_timestamp";    // 修改时间
    public final static String default_sort = CLASS_NAME + "default_sort";            // 默认排序
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //资源链接
    // 如果是文件夹，就什么都不传
    private String resourceUrl;

    //图片或视频， image  , video , file  文件夹

    private String type;

    //创建时间
    private Long createTimestamp;

    //资源名称
    private String fileName;

    //父亲id
    private Long parentId;

    //修改时间
    private Long modifyTimestamp;

    //默认排序
    private Integer defaultSort = 0  ;


    public static void main(String[] args) {
        List<VvResourceEntity> vvResourceEntityList = new ArrayList<>();
        VvResourceEntity vvResource = new VvResourceEntity();
        vvResource.setResourceUrl("xxxxxx");
        vvResource.setType("");
        vvResource.setFileName("xxxxxxx");
        vvResource.setParentId(0L);

        vvResourceEntityList.add(vvResource);
        System.out.println(JSON.toJSONString(vvResourceEntityList));
    }

    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 资源链接 
     * @return
     */
    public String getResourceUrl() {
        return resourceUrl;
    }
    /**
     * 资源链接 
     * @param resourceUrl
     */
    public void setResourceUrl(String resourceUrl) {
        this.resourceUrl = resourceUrl;
    }

    /**
     * 图片或视频， image  , video 
     * @return
     */
    public String getType() {
        return type;
    }
    /**
     * 图片或视频， image  , video 
     * @param type
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * 创建时间 
     * @return
     */
    public Long getCreateTimestamp() {
        return createTimestamp;
    }
    /**
     * 创建时间 
     * @param createTimestamp
     */
    public void setCreateTimestamp(Long createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    /**
     * 资源名称 
     * @return
     */
    public String getFileName() {
        return fileName;
    }
    /**
     * 资源名称 
     * @param fileName
     */
    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    /**
     * 父亲id 
     * @return
     */
    public Long getParentId() {
        return parentId;
    }
    /**
     * 父亲id 
     * @param parentId
     */
    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    /**
     * 修改时间 
     * @return
     */
    public Long getModifyTimestamp() {
        return modifyTimestamp;
    }
    /**
     * 修改时间 
     * @param modifyTimestamp
     */
    public void setModifyTimestamp(Long modifyTimestamp) {
        this.modifyTimestamp = modifyTimestamp;
    }

    /**
     * 默认排序 
     * @return
     */
    public Integer getDefaultSort() {
        return defaultSort;
    }
    /**
     * 默认排序 
     * @param defaultSort
     */
    public void setDefaultSort(Integer defaultSort) {
        this.defaultSort = defaultSort;
    }

    @Override
    public String toString() {
        return "VvResourceEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",resourceUrl=" + resourceUrl +
                ",type=" + type +
                ",createTimestamp=" + createTimestamp +
                ",fileName=" + fileName +
                ",parentId=" + parentId +
                ",modifyTimestamp=" + modifyTimestamp +
                ",defaultSort=" + defaultSort +
                "}";
    }
}